[
{
    blockid=address;
    help=service_smtp_address_address;
    custom="com.netscape.management.msgserv.ServiceMTARoutingControl";
    localvar={
	.rewritestyle.text="Estilo de reescritura de direcci\u00f3n \"De\":";
	.rewritestyle.labels=["\"john doe\"<jdoe@example.com>","jdoe@example.com (John Doe)","jdoe@example.com","nunca reescribir direcciones"];
	.rewrite.text="Reescribir la direcci\u00f3n SMTP de acuerdo con los atributos de la entrada LDAP del destinatario:";
	.rewrite.1.text="Utilizar el atributo mailRoutingAddress";
	.rewrite.2.text="Combinar uid con el atributo mailHost";
	.rewrite.4.text="Combinar la parte local de la direcci\u00f3n con el atributo mailHost";
	.fallback.text="Si el servidor no encuentra una entrada LDAP con una determinada direcci\u00f3n de correo electr\u00f3nico, busque de nuevo mediante los m\u00e9todos seleccionados:";
	.fallback.1.text="Buscar dominio personalizado";
	.fallback.2.text="Buscar mediante dominio truncado (borrar parte de host si es local)";
	.fallback.4.text="Buscar por Id de usuario (uid)";
	.routing.header="Tabla de enrutamiento SMTP:";
	.delimiter="$";
	.addentry.title="Entrada de enrutamiento SMTP";
	.editentry.title="Entrada de enrutamiento SMTP";
    };
    content=[
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=label;
	    id=rewritelabel;
	    text=$.rewrite.text;
	    wrap=$g.label.size5;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=rigid;
		    dimension=[12,1];
		},
		{
		    ctrl=pane;
		    layout=[ybox];
		    content=[
			{
			    ctrl=togglepane;
			    id=rewrite0;
			    label=rewritelabel;
			    text=$.rewrite.1.text;
			},
			{
			    ctrl=togglepane;
			    id=rewrite1;
			    label=rewritelabel;
			    text=$.rewrite.2.text;
			},
			{
			    ctrl=togglepane;
			    id=rewrite2;
			    label=rewritelabel;
			    text=$.rewrite.4.text;
			}
		    ]
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=separator;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=label;
		    id=stylelabel;
		    text=$.rewritestyle.text;
		    wrap=$g.label.size2;
		    aligny=0.5;
		},
		{
		    ctrl=rigid;
		},
		{
		    ctrl=choice;
		    label=stylelabel;
		    labels=$.rewritestyle.labels;
		    items=[quoted,comment,qualify,never];
		    aligny=0.5;
		    val=$service.smtp.smtp-router.smtprewritestyle.value;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=separator;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=label;
	    id=fallbacklabel;
	    text=$.fallback.text;
	    wrap=$g.label.size5;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=proxy;
		    label=fallbacklabel;
		    val=$service.smtp.smtp-router.fallbacksearchmethod.value;
		},
		{
		    ctrl=rigid;
		    dimension=[12,1];
		},
		{
		    ctrl=pane;
		    layout=[ybox];
		    content=[
			{
			    ctrl=togglepane;
			    id=fallback0;
			    text=$.fallback.1.text;
			    label=fallbacklabel;
			},
			{
			    ctrl=togglepane;
			    id=fallback1;
			    text=$.fallback.2.text;
			    label=fallbacklabel;
			},
			{
			    ctrl=togglepane;
			    id=fallback2;
			    text=$.fallback.4.text;
			    text="Buscar por Id de usuario (uid)";
			    label=fallbacklabel;
			}
		    ]
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=separator;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=table;
	    id=stdtable;
	    stdtable=true;
	    addui=routedialog;
           addtext=$g.addbutton.text;
           edittext=$g.editbutton.text;
           deltext=$g.deletebutton.text;
	    addtitle=$.addentry.title;
	    editui=routedialog;
	    edittitle=$.editentry.title;
	    val=$service.smtp.smtp-router.hostrewrites.value;
	    label=routinglabel;
	    showedit=true;
	    buttonsat=east;
	    delimiter=$.delimiter;
	    visiblerows=5;
	    columns=[
		{
		    header=$.routing.header;
		    varname=routeentry;
		}
	    ]
	}
    ]
},
{
    blockid=routedialog;
    help=service_smtp_address_routedialog;
    localvar={
	.route.help="Entrada de tabla de enrutamiento:";
	.example.entry="abc.com:host.xyz.com";
    };
    content=[
	{
	    ctrl=label;
	    id=routelabel;
	    wrap=$g.label.size3;
	    text=$.route.help;
	},
	{
	    ctrl=text;
	    label=routelabel;
	    val=$routeentry;
	    focus=true;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    border=$g.example.border;
	    layout=[ybox];
	    content=[
		{
		    ctrl=label;
		    text=$.example.entry;
		    wrap=$g.label.size3;
		}
	    ]
	}
    ]
}
]
